Robotsystem from Robot Group Leipzig: OSGMesh Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# OSGMesh Class Reference

`#include <osgprimitive.h>`

Inheritance diagram for OSGMesh:

[legend]
Collaboration diagram for OSGMesh:

[legend]
List of all members.

## Detailed Description

Graphical Mesh or arbitrary OSG model.

Definition at line 205 of file osgprimitive.h.

## Public Member Functions
| OSGMesh (const std::string &filename, float scale=1, const osgDB::ReaderWriter::Options *options=0)
| Constuctor.
| ~OSGMesh ()
virtual void | init (const OsgHandle &osgHandle, Quality quality=Middle)
float | getScale ()
## Protected Attributes
std::string | filename
float | scale
const osgDB::ReaderWriter::Options * | options
osg::ref_ptr< osg::Node > | mesh
osg::ref_ptr< osg::MatrixTransform > | scaletrans

## Constructor & Destructor Documentation

OSGMesh | ( | const std::string & | filename,
|  | float | scale = `1`,
|  | const osgDB::ReaderWriter::Options * | options = `0`
| ) |

  | Constuctor. Parameters:
  | filename | filename of the model file (search path is osg data path)
  | scale | scale factor used for scaling the model options for model reader

~OSGMesh | ( |  | ) |

| Definition at line 301 of file osgprimitive.cpp.

## Member Function Documentation

float getScale | ( |  | ) | `[inline]`

| Definition at line 217 of file osgprimitive.h.

void init | ( | const OsgHandle & | osgHandle,
|  | Quality | quality = `Middle`
| ) | `[virtual]`

| Definition at line 304 of file osgprimitive.cpp.

## Member Data Documentation

std::string filename`[protected]`

| Definition at line 219 of file osgprimitive.h.

osg::ref_ptr<osg::Node> mesh`[protected]`

| Definition at line 222 of file osgprimitive.h.

const osgDB::ReaderWriter::Options* options`[protected]`

| Definition at line 221 of file osgprimitive.h.

float scale`[protected]`

| Definition at line 220 of file osgprimitive.h.

osg::ref_ptr<osg::MatrixTransform> scaletrans`[protected]`

| Definition at line 223 of file osgprimitive.h.